<?
/* MatDirLister 0.2 Script
   Created by Mattia Campolese; 23/05/2004 - 08/07/2005
   Email: webmaster@matsoftware.it
   URL: www.matsoftware.it
   -----------------------
   Please read the "Readme.txt" file
   before using this script
*/


// Processing variables by "GET" input

$inpath = $_GET['dir'];
$sub = $_GET['sub'];

if (!IsSet($inpath) || ($inpath == "")) 
 {
  $inpath = "";
  $directory = ".";
 } 
 else $directory = explode("|",$inpath); 

if (!IsSet($sub) || ($sub < 0)) 
 {
  $sub = 0;
  $directory = ".";
 }

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN""http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>MatDirLister 0.2</title>
<style type="text/css">
.navigate
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-weight : normal;
	font-size : 10px;
	color: blue;	
}
.title
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-weight : bold;
	font-size : 14px;
	color: black;	
}
.dir
{
  	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-weight : bold;
	font-size : 12px;
	color: navy;	

}
.file
{
  	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-weight : normal;
	font-size : 12px;
	color: blue;	
}
.copy
{
	font-family : Verdana, Geneva, Arial, Helvetica, sans-serif;
	font-weight : normal;
	font-size : 10px;
	color: black;	
}

</style>
<body>
<!-- Created with MatDirLister 0.2 - www.matsoftware.it -->
<div class="title">Directory:</div>
<a class="navigate" href="dirlist.php">Home</a> 
<?

// Processing directories

$path = "";
for ($i=0; $i<=$sub; $i++)
 { 
 $folder = chdir($directory[$i]); 
 $path = $path . $directory[$i] . "|";
  if (($directory[$i] != "") and ($directory[$i] != "."))
   echo " - <a class=\"navigate\" href=\"dirlist.php?dir=". $path . "&sub=".($i+1)."\">" . $directory[$i] . "</a>";
 } 

echo "\n<hr>\n";

// Getting directory's info...
  
$folder = opendir(".");

while ($file = ReadDir($folder))
 {
  $file_array[] = $file;
 }

// Processing Files&Directories list element by element

foreach ($file_array as $file) {

if (($file == ".") || ($file == "..") ) continue;

// Checking if it is a directory or a file

if (FileType($file) == dir)  
  {
    if ($inpath != "")
     {
      $path = $inpath . $file . "|";
      $subw = $sub + 1;
     } 
      else
     {  
      $path = $file ."|";
      $subw = 1;
     } 
      
   $listpath[] = "<a class=\"dir\" href=\"dirlist.php?dir=".$path."&sub=".$subw."\">".$file."</a><br>\n";
  }
 else
  {
   if ($inpath != "")
     $path = str_replace("|","/",$inpath) . $file;
   else
     $path = $file;

   $listfiles[] = "<a class=\"file\" href=\"".$path."\" target=\"_new\">".$file."</a><br>\n";
  }

}
// Printing the list

for ($id=0; $id<count($listpath); $id++) echo $listpath[$id];
for ($id=0; $id<count($listfiles); $id++) echo $listfiles[$id];

// Unsetting all variables
unset($file_array);
unset($file);
unset($folder);
unset($directory);
unset($sub);
unset($subw);
unset($path);
unset($id);
unset($listpath);
unset($listfiles);
?>
<hr>
<div class="copy" align="center">
Page created with <b>MatDirLister 0.2</b> by Mattia Campolese<br>
<a href="http://www.matsoftware.it" title="Matsoftware.it web site">www.matsoftware.it</a> - webmaster @ matsoftware.it
</div>
</body>
</html>
